Foreman - Bug #3721

OS families should use a label instead of class name when rendered
11/22/2013 09:31 AM - Dominic Cleal

Status: Closed

Priority: Normal

Assignee: Greg Sutcliffe

Category: Web Interface

Target version: 1.4.0

Difficulty: easy Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

Foreman supports a few OS families that are built into the application (app/models/operatingsystems/), but when rendered in the web
Ul (e.g. when editing an OS) the class name is shown. This means we get strings like "Redhat" which should be "Red Hat" and
"Archlinux" which should be "Arch Linux".

Related issues:
Related to Foreman - Bug #9683: Operating system family name not consistent i... New 03/09/2015
Blocks Foreman - Tracker #3723: Red Hat branding issues Closed 11/22/2013

Associated revisions

Revision 48265101 - 12/13/2013 03:02 PM - Greg Sutcliffe
Fixes #3721 - Map OS family to a display variant

History

#1 - 11/22/2013 09:38 AM - Dominic Cleal
- Blocks Tracker #3723: Red Hat branding issues added

#2 - 11/22/2013 09:42 AM - Dominic Cleal

Note that provisioning templates currently compare the OS family.to_s:

https://github.com/theforeman/community-templates/blob/93a9a66e3bd41c0105e575a410e636e7226636d3/kickstart/provision.erb#L. 25

#3 - 11/22/2013 09:49 AM - Dominic Cleal
- Difficulty set to easy

#4 - 12/04/2013 01:30 PM - Dominic Cleal

- Target version set to 1.9.3

#5 - 12/06/2013 10:58 AM - Greg Sutcliffe
- Status changed from New to Ready For Testing

- Assignee set to Greg Sutcliffe

https://github.com/theforeman/foreman/pull/1076

#6 - 12/13/2013 03:02 PM - Dominic Cleal

- translation missing: en.field_release set to 2

#7 - 12/13/2013 03:31 PM - Greg Sutcliffe
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

05/20/2024 12



https://github.com/theforeman/community-templates/blob/93a9a66e3bd41c0105e575a410e636e7226636d3/kickstart/provision.erb#L25
https://github.com/theforeman/foreman/pull/1076

Applied in changeset 48a65101e69c3ff7513a8c67ed65{2886d2d3ba9.

#8 - 03/09/2015 11:51 AM - Dominic Cleal

- Related to Bug #9683: Operating system family name not consistent inside templates added

05/20/2024 22


https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/48a65101e69c3ff7513a8c67ed65f2886d2d3ba9
http://www.tcpdf.org

